*This files produces Table 3 and Table Appendix
eststo clear 
do "$PROGRAMS_STATA/6.1_New_Keynesian_PC.do"
do "$PROGRAMS_STATA/6.2_Regional_PC.do"

esttab  , nocon keep( u u_after_gr u_shift_gr u_after_sdc u_shift_sdc u_manuf_gr ///
u_manuf_sdc) b(4) se(4) r2(4) scalars("Country_Fe" "Controls" "Time_Fe" "IV") ///
label compress star(* 0.10 ** 0.05 *** 0.01) 

*Table 3
esttab using "$TABLES/tab_3.tex",  drop(ep_1y sum_p_nt1 *.phase_i  ) b(4) se(4) scalars("Country_Fe" "Controls" "Time_Fe" "IV") ///
label compress star(* 0.10 ** 0.05 *** 0.01) coeflabel(u "\$\hat{u}\$" u_after_gr ///
"\$After_{GR}\times \hat{u}\$" u_shift_gr "\$After_{GR}\times Shift^R_{GR}\times \hat{u}\$" u_after_sdc ///
"\$After_{SDC}\times \hat{u}\$" u_shift_sdc "\$After_{SDC}\times Shift^R_{SDC}\times \hat{u}\$" ///
u_manuf_gr "\$After_{GR}\times Shift^{Manuf}_{GR}\times \hat{u}\$" u_manuf_sdc ///
 "\$After_{SDC}\times Shift^{Manuf}_{SDC}\times \hat{u}\$" ) ///
mtitles("\$\pi^{CPI}\$" "\$\pi^{CPI}\$" "\$\pi^{CPI}\$" "\$\pi^{CPI}\$" "\$\pi^{CPI}\$" "\$\pi^{CPI}\$" ///
"\$\pi^{NT}\$" "\$\pi^{NT}\$" "\$\pi^{NT}\$" "\$\pi^{NT}\$" "\$\pi^{NT}\$" "\$\pi^{NT}\$")  ///
substitute("\_" "_" "_" " ") replace
eststo clear  
   
